Subject: Re: RAMDISK: ran out of compressed data

From: Marco Stornelli <[email-masked]>
Date: Wed, 09 Jul 2008 09:05:43 +0200

Siva Prasad ha scritto:
> Hi,
> 
> The same ramdisk works fine for 2.6.15 kernel. We are just upgrading to
> a new version, and would like to get that ramdisk to work on the new one
> as well.
> 
> Can you please elaborate on what you mean by compression format. Mine
> currently use the standard .gz extension/compression.
> 
> Thanks
> Siva
> 
> 
> Siva Prasad ha scritto:
>> Hi,
>>
>> I am getting the following error when I tried to boot with ramdisk.
> Any
>> specific reason or clue why this is happening?
>>
>> RAMDISK: Compressed image found at block 0
>> RAMDISK: ran out of compressed data
>> invalid compressed format (err=1)
>>
>> I am running into this on 8641D runing 2.6.24-rc6 kernel. My .config
>> around block area are...
>>
>> CONFIG_BLK_DEV=y
>> # CONFIG_BLK_DEV_FD is not set
>> # CONFIG_BLK_CPQ_DA is not set
>> # CONFIG_BLK_CPQ_CISS_DA is not set
>> # CONFIG_BLK_DEV_DAC960 is not set
>> # CONFIG_BLK_DEV_UMEM is not set
>> # CONFIG_BLK_DEV_COW_COMMON is not set
>> CONFIG_BLK_DEV_LOOP=y
>> # CONFIG_BLK_DEV_CRYPTOLOOP is not set
>> # CONFIG_BLK_DEV_NBD is not set
>> # CONFIG_BLK_DEV_SX8 is not set
>> CONFIG_BLK_DEV_RAM=y
>> CONFIG_BLK_DEV_RAM_COUNT=16
>> CONFIG_BLK_DEV_RAM_SIZE=49152
>> CONFIG_BLK_DEV_RAM_BLOCKSIZE=1024
>>
>> Thanks
>> Siva
>>
> 
> 
> I think it's not a kernel problem but a problem related with the 
> compression method instead. Check out how you are compressing the
> ramdisk.
> 
Yes, I meant a problem about gzip or bzip2, but if it works with 
2.6.15....I don't what is the problem.

-- 
Marco Stornelli
Embedded Software Engineer
CoRiTeL - Consorzio di Ricerca sulle Telecomunicazioni
http://www.coritel.it

[email-masked]
+39 06 72582838